跳转到内容

Flow-Edit

集成

模型 id flowedit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flowedit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "source_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "target_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.04 40 API 积分 在此页面运行

获取 API 密钥
Open model 图像编辑 #editing

通过对比源提示词和目标提示词编辑图像,并精细控制编辑强度

Open model · 图像

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填

描述源图像的提示词。

•必填

描述要创建图像的提示词。

•必填 image_url
拖放文件,或

指向要重新打光的图像的 URL。

高级 num_inference_steps · src_guidance_scale · tar_guidance_scale · n_avg · n_max · n_min · seed · enable_safety_checker
默认 28

模型运行的步数。

默认 1.5

源引导比例。

默认 5.5

目标引导比例。

默认 1

平均步数。

默认 23

应用于编辑的强度。

默认 0

用于改善风格编辑的最小步数。

生成种子:none 表示随机选择,提供值则可实现可复现生成。

POST /run/flowedit?wait=20 报价 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flowedit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "source_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "target_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Flow-Edit

根据 `image_url` 中的图像进行修改:在 `source_prompt` 中描述当前图片,在 `target_prompt` 中描述期望结果。调节选项包括 `src_guidance_scale` 和 `tar_guidance_scale`(0 到 30)、`num_inference_steps`(1 到 50)以及用于设置编辑强度的 `n_max`。`n_min` 和 `n_avg` 用于细化风格编辑和步数平均。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
指向要重新打光的图像的 URL。
source_prompt必填
类型string
描述源图像的提示词。
target_prompt必填
类型string
描述要创建图像的提示词。
seed可选
类型integer | null
生成种子:none 表示随机选择,提供值则可实现可复现生成。
num_inference_steps可选
类型integer | null
默认值28
1 – 50
模型运行的步数。
src_guidance_scale可选
类型number | null
默认值1.5
0 – 30
源引导比例。
tar_guidance_scale可选
类型number | null
默认值5.5
0 – 30
目标引导比例。
n_avg可选
类型integer | null
默认值1
平均步数。
n_max可选
类型integer | null
默认值23
应用于编辑的强度。
n_min可选
类型integer | null
默认值0
用于改善风格编辑的最小步数。
enable_safety_checker可选
类型boolean
默认值true
经过授权的调用方可将其设置为 false,以放宽内容审核。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flowedit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "source_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "target_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
image
object {url, content_type, file_name, file_size, width, height}生成图像的文件信息。
seed
integer图像生成种子:如果输入未提供种子,则包含随机选择的值;否则重复使用所提供的值。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/flowedit.md. 所有模型和指南: https://doitong.com/developers/llms.txt